#!/bin/bash

pwd=$PWD

export CVSROOT=$PWD/cvsrepo
bzrroot=$PWD/bzrrepo
echo "CVSROOT = $CVSROOT"
echo "BZRROOT = $bzrroot"

# First set the timezone to GMT
tz=$TZ
export TZ=GMT

# Test if the module name and tag list name are passed as a parameters
if [ $# != 2 ] ; then
   echo "Usage: s5-veryfytags.sh module_name tag_list_file"
   exit 1
else
   module=$1   
   taglistfile=$2
fi

###############################################################
#                      STAGE 4                                #
#                                                             #
# verify tags                                                 #
#                                                             #
###############################################################
workdir=$pwd/tmp-verify
rm -rf $workdir
mkdir $workdir

for tag in $(awk '{print $1}' $taglistfile); do
   echo "Verify tag: " $tag
   echo
   ./u1-detecttag.sh $module $tag $workdir
done




