#!/bin/bash
#This script delete all tags from a bzr repository

module=""
pwd=$PWD
trunk=""

bzrroot=$PWD/bzrrepo
echo "BZRROOT = $bzrroot"
workdir=$pwd/tmp-deletetags

if [ $# != 1 ] ; then
   echo "Usage: u2-deletetags.sh module_name"
   exit 1
else
   module=$1
fi

# Test BZR module
if [ ! -d $bzrroot/$module ] ;then
   echo "$bzrroot/$module does not exist."
   exit 1
fi

# Checkout from BZR
rm -fr $workdir
mkdir $workdir
mkdir $workdir/$module
cd $workdir/$module

bzr checkout $bzrroot/$module/$trunk .
for tag in $(bzr tags | awk '{print $1}'); do
   echo "Tag delete:" $tag
   bzr tag $tag --delete
done

cd $pwd
